Skip to Content
avatar image
Former Member

Is it possible to upgrade only NW stack without upgrading PI?

Dear all,

We are currently on SAP PI 7.1 EhP1 with Netweaver 7.11 SP10.

As a prerequisite fpr an ECC Uprgade to EhP7, SAP says " When using SAP Portal, SAP BW or PI in conjunction with ERP 6.0 EHP7, the underlying Netweaver version of these systems must be NW 7.30 or higher before upgrading to ERP 6.0 EHP7"

Is it possible to upgrade only the NW stack to NW 7.3 or 7.4 without upgrading SAP PI to 7.3 (or SAP portal or SAP BW to the next available version) ?

Thanks and Regards,

Reena

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Jun 10, 2014 at 04:05 PM

    Hello Reena,

    The official recommendation from SAP is that the PI system must be on the highest release in the landscape. See note 1043047 Compatibility of XI/PI in the system landscape. So the recommendation is to upgrade your PI first and then upgrade ECC.

    However, some customers have successfully upgraded ECC first. Several issues were encountered. These are documented in note 1942289 Known issues with PI and ECC EHP upgrades

    Regards
    Mark

    Add comment
    10|10000 characters needed characters exceeded

  • Jun 10, 2014 at 02:23 PM

    Hi,

    We are on the exact same situation and you need to upgrade your complete PI system.

    A SAP PI system runs upon a NetWeaver stack, but you need to upgrade everything.

    Kind regards,

    Dimitri

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Thank you for your reply, Dimitri.

      • Does this pre-requisite apply even if we have Netweaver installed on separate servers?
      • Is there by any chance a workaround to bypass the upgrade of SAP PI, BW and Portal and simply do an ECC EhP7 upgrade?